import request from '@/utils/request'

/**
 * 页面表格配置 API
 */

const TableConfigApi = {
  findByTableName: '/table-config/findByTableName',
  findTableColumnsNotStatus: '/table-config/findTableColumnsNotStatus',
}

export function findColumnsByTableName(parameter) {
  return request({
    url: TableConfigApi.findByTableName,
    method: 'get',
    params: parameter
  })
}

export function findTableColumnsNotStatus(parameter) {
  return request({
    url: TableConfigApi.findTableColumnsNotStatus,
    method: 'get',
    params: parameter
  })
}
